package com.allpay.charge.exception;

import lombok.Getter;
import org.springframework.http.HttpStatus;

import static org.springframework.http.HttpStatus.OK;

/**
 * @Description :
 * @Author : Simon.shi
 * @Date : 2019/8/13 14:26
 * @Version : V0.0.1
 */
@Getter
public class ProcessingFailureException extends RuntimeException{

    private Integer status = OK.value();

    public ProcessingFailureException(String msg){
        super(msg);
    }

    public ProcessingFailureException(HttpStatus status, String msg){
        super(msg);
        this.status = status.value();
    }
}
