/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.allpay.charge;

import com.allpay.charge.annoation.PermissionRequire;
import com.allpay.charge.calc.define.CalcResult;
import static com.allpay.charge.calc.define.StaticData.charge;

import com.allpay.charge.calc.define.ResultVO;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Brian
 */

@RestController
@CrossOrigin
public class ApiCharge {

    /**
     *
     * @param discCd
     * @param settAmt
     * @param brandLastMonthUsdAmt
     * @return
     */
    @RequestMapping("/charge/merchant")
    public @ResponseBody String chargeMerchant (@RequestParam long discCd, @RequestParam long settAmt,@RequestParam /*(required = false,defaultValue = "0")*/long brandLastMonthUsdAmt) {
        // TODO code application logic here
         CalcResult r = charge.calcMerchantChargeByLastMonth(discCd, settAmt, brandLastMonthUsdAmt);
        return  r.getForJson();
     }


     @RequestMapping("/charge/codeList")
     public @ResponseBody String chargeCodeList (@RequestBody(required = false) List<Long> discCdList) {
         CalcResult calcResult = charge.selectChargeCodeList(discCdList);
         return  calcResult.getForMessageJson();
     }


}


