/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.allpay.charge.db.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author Brian
 */
@Entity
@Data
@Table(name = "sa_charge_disc_cd")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "SaChargeDiscCd.findAll", query = "SELECT s FROM SaChargeDiscCd s"),
    @NamedQuery(name = "SaChargeDiscCd.findByDiscCd", query = "SELECT s FROM SaChargeDiscCd s WHERE s.discCd = :discCd"),
    @NamedQuery(name = "SaChargeDiscCd.findByDiscTp", query = "SELECT s FROM SaChargeDiscCd s WHERE s.discTp = :discTp"),
    @NamedQuery(name = "SaChargeDiscCd.findByNm", query = "SELECT s FROM SaChargeDiscCd s WHERE s.nm = :nm"),
    @NamedQuery(name = "SaChargeDiscCd.findByComment", query = "SELECT s FROM SaChargeDiscCd s WHERE s.comment = :comment"),
    @NamedQuery(name = "SaChargeDiscCd.findByOperIn", query = "SELECT s FROM SaChargeDiscCd s WHERE s.operIn = :operIn"),
    @NamedQuery(name = "SaChargeDiscCd.findByRecUpdUsrId", query = "SELECT s FROM SaChargeDiscCd s WHERE s.recUpdUsrId = :recUpdUsrId"),
    @NamedQuery(name = "SaChargeDiscCd.findByRecUpdTs", query = "SELECT s FROM SaChargeDiscCd s WHERE s.recUpdTs = :recUpdTs"),
    @NamedQuery(name = "SaChargeDiscCd.findByRecCrtTs", query = "SELECT s FROM SaChargeDiscCd s WHERE s.recCrtTs = :recCrtTs")})
public class SaChargeDiscCd implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Column(name = "disc_cd")
    private Integer discCd;
    @Column(name = "disc_tp")
    private Short discTp;
    @NotNull
    @Column(name = "status")
    private Integer status;
    @Size(max = 200)
    @Column(name = "nm")
    private String nm;
    @Size(max = 200)
    @Column(name = "comment")
    private String comment;
    @Column(name = "oper_in")
    private Character operIn;
    @Size(max = 20)
    @Column(name = "rec_upd_usr_id")
    private String recUpdUsrId;
    @Column(name = "rec_upd_ts")
    @Temporal(TemporalType.TIMESTAMP)
    private Date recUpdTs;
    @Column(name = "rec_crt_ts")
    @Temporal(TemporalType.TIMESTAMP)
    private Date recCrtTs;

    public SaChargeDiscCd() {
    }

    public SaChargeDiscCd(Integer discCd) {
        this.discCd = discCd;
    }

    public Integer getDiscCd() {
        return discCd;
    }

    public void setDiscCd(Integer discCd) {
        this.discCd = discCd;
    }

    public Short getDiscTp() {
        return discTp;
    }

    public void setDiscTp(Short discTp) {
        this.discTp = discTp;
    }

    public String getNm() {
        return nm;
    }

    public void setNm(String nm) {
        this.nm = nm;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public Character getOperIn() {
        return operIn;
    }

    public void setOperIn(Character operIn) {
        this.operIn = operIn;
    }

    public String getRecUpdUsrId() {
        return recUpdUsrId;
    }

    public void setRecUpdUsrId(String recUpdUsrId) {
        this.recUpdUsrId = recUpdUsrId;
    }

    public Date getRecUpdTs() {
        return recUpdTs;
    }

    public void setRecUpdTs(Date recUpdTs) {
        this.recUpdTs = recUpdTs;
    }

    public Date getRecCrtTs() {
        return recCrtTs;
    }

    public void setRecCrtTs(Date recCrtTs) {
        this.recCrtTs = recCrtTs;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (discCd != null ? discCd.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof SaChargeDiscCd)) {
            return false;
        }
        SaChargeDiscCd other = (SaChargeDiscCd) object;
        if ((this.discCd == null && other.discCd != null) || (this.discCd != null && !this.discCd.equals(other.discCd))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.allpay.charge.db.entity.SaChargeDiscCd[ discCd=" + discCd + " ]";
    }

}
