package com.allpay.charge.exception;

import lombok.Getter;
import org.springframework.http.HttpStatus;

import static org.springframework.http.HttpStatus.FORBIDDEN;

/**
 * @Description :
 * @Author : Simon.shi
 * @Date : 2019/8/19 09:41
 * @Version : V0.0.1
 */
@Getter
public class UnauthenticatedException extends RuntimeException {

    private Integer status = FORBIDDEN.value();

    public UnauthenticatedException(String msg){
        super(msg);
    }

    public UnauthenticatedException(HttpStatus status, String msg){
        super(msg);
        this.status = status.value();
    }
}
