package com.allpay.charge.exception;

import lombok.Getter;
import org.springframework.http.HttpStatus;

import static org.springframework.http.HttpStatus.METHOD_NOT_ALLOWED;

/**
 * @Description :
 * @Author : Simon.shi
 * @Date : 2019/8/13 14:35
 * @Version : V0.0.1
 */
@Getter
public class IllegalOperationException extends  RuntimeException {

    private Integer status = METHOD_NOT_ALLOWED.value();

    public IllegalOperationException(String msg){
        super(msg);
    }

    public IllegalOperationException(HttpStatus status, String msg){
        super(msg);
        this.status = status.value();
    }
}
